eID middleware |

# be.portugal.eid.PTEID_ExCardBadType Class Reference

Exception class Bad Card Type (error code = EIDMW_ERR_CARDTYPE_BAD). More...

Inheritance diagram for be.portugal.eid.PTEID_ExCardBadType:

List of all members.

## Public Member Functions
synchronized void | delete ()
| PTEID_ExCardBadType ()
| Constructor.
## Protected Member Functions
| PTEID_ExCardBadType (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_ExCardBadType obj)

## Detailed Description

Exception class Bad Card Type (error code = EIDMW_ERR_CARDTYPE_BAD).

Thrown when the card type doesn't correspond to what is requested Used in : - PTEID_ReaderContext.getEIDCard()

- PTEID_ReaderContext.getKidsCard()
- PTEID_ReaderContext.getForeignerCard()
- PTEID_ReaderContext.getSISCard()

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_ExCardBadType.PTEID_ExCardBadType | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

be.portugal.eid.PTEID_ExCardBadType.PTEID_ExCardBadType | ( |  | ) |

Constructor.

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_ExCardBadType.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Exception.

References be.portugal.eid.PTEID_Exception.swigCMemOwn.

void be.portugal.eid.PTEID_ExCardBadType.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Exception.

static long be.portugal.eid.PTEID_ExCardBadType.getCPtr | ( | PTEID_ExCardBadType | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_ExCardBadType.swigCPtr.